% Include file - SATB spor 1-4 (hver med 4 disponible lyrik linier) samt piano spor 1-4   

\version "2.14.2"

\language "deutsch"


% Lyrics are assigned to 5 different voices: "M", "S", "A", "T" and "B":
% "verseOneM", "verseTwoM", "verseThreeM", "verseFourM" -> "verseOneS" ... "verseFourB"
% Track names with no transposition are "trackOne", "trackTwo" etc."
% Track names with C to Bb transposition are "trBOne", "trBTwo" etc.
% Track names with C to Eb transposition are "trEsOne", "trEsTwo" etc.
% Track names with C to F transposition are "trFOne", "trFTwo" etc.


% Vocal Modules

vocalDescantPart =
\new Staff \with {
  instrumentName = "Descant" 
  midiInstrument = "choir aahs" }
{ \clef G \trackOne }
\addlyrics {\verseOneS }
\addlyrics {\verseTwoS }
\addlyrics {\verseThreeS }
\addlyrics {\verseFourS }

vocalSoloPart =
\new Staff \with {
  instrumentName = "Solo" 
  midiInstrument = "choir aahs" }
{ \clef G \trackOne }
\addlyrics {\verseOneA }
\addlyrics {\verseTwoA }
\addlyrics {\verseThreeA }
\addlyrics {\verseFourA }

vocalPartSoprano =
\new Staff \with {
  instrumentName = "Soprano" 
  midiInstrument = "choir aahs" }
{ \clef G \trackOne }
\addlyrics {\verseOneS }
\addlyrics {\verseTwoS }
\addlyrics {\verseThreeS }
\addlyrics {\verseFourS }

vocalPartAlto = 
\new Staff \with {
  instrumentName = "Alto" 
  midiInstrument = "choir aahs" }
{ \clef G \trackTwo }
\addlyrics {\verseOneA }
\addlyrics {\verseTwoA }
\addlyrics {\verseThreeA }
\addlyrics {\verseFourA }

vocalPartTenor = 
\new Staff \with {
  instrumentName = "Tenor" 
  midiInstrument = "choir aahs" }
{ \clef "G_8" \trackThree }
\addlyrics {\verseOneT }
\addlyrics {\verseTwoT }
\addlyrics {\verseThreeT }
\addlyrics {\verseFourT }

vocalPartBass = 
\new Staff \with {
  instrumentName = "Bass" 
  midiInstrument = "choir aahs" }
{ \clef F \trackFour }
\addlyrics {\verseOneB }
\addlyrics {\verseTwoB }
\addlyrics {\verseThreeB }
\addlyrics {\verseFourB }

vocalSATBGroup =  \new ChoirStaff << 
  \vocalPartSoprano
  \vocalPartAlto
  \vocalPartTenor
  \vocalPartBass
>>

vocalSABGroup =  \new ChoirStaff << 
  \vocalPartSoprano
  \vocalPartAlto
  \vocalPartBass
>>

choirPart =  \new ChoirStaff << 
  \new Staff \with {
    midiInstrument = "choir aahs"
    instrumentName = \markup \center-column { "Soprano" "Alto" } }    << 
    \clef G
    \new Voice = "soprano" { \voiceOne \trackOne }
    \new Voice = "alto" { \voiceTwo \trackTwo }
  >> 
  \new Lyrics \with {
    \override VerticalAxisGroup #'staff-affinity = #CENTER }
  \lyricsto "soprano" \verseOneM
  \new Lyrics \with {
    \override VerticalAxisGroup #'staff-affinity = #CENTER }
  \lyricsto "soprano" \verseTwoM
  \new Lyrics \with {
    \override VerticalAxisGroup #'staff-affinity = #CENTER }
  \lyricsto "soprano" \verseThreeM
  \new Lyrics \with {
    \override VerticalAxisGroup #'staff-affinity = #CENTER }
  \lyricsto "soprano" \verseFourM
  \new Staff \with {
    midiInstrument = "choir aahs"
    instrumentName = \markup \center-column { "Tenor" "Bass" } }
  << 
    \clef F
    \new Voice = "tenor" { \voiceOne \trackThree }
    \new Voice = "bass" { \voiceTwo \trackFour }
  >> 
>>



% Keyboard Modules

pianoFourVoicesPart =  \new PianoStaff \with {
  instrumentName = "Piano" }
<<
  \new Staff = "up" \with {
    midiInstrument = "acoustic grand" }
  { \clef G << \trackOne \\ \trackTwo >>}
  \new Staff = "down" \with {
    midiInstrument = "acoustic grand" }
  { \clef F << \trackThree \\ \trackFour >> }
>>

pianoTwoVoicesPart =  \new PianoStaff \with {
  instrumentName = "Piano" }
<<
  \new Staff = "up" \with {
    midiInstrument = "acoustic grand" }
  { \clef G \trackOne }
  \new Staff = "down" \with {
    midiInstrument = "acoustic grand" }
  { \clef F \trackTwo }
>>


%========================================

customScoreOne = {
  <<
    \vocalSATBGroup
    \pianoFourVoicesPart
  >>
}

customScoreTwo = {
  <<
  >>
}

